Package com.independentsoft.office.spreadsheet.revisions

# Class SharedUser

java.lang.Object
com.independentsoft.office.spreadsheet.revisions.SharedUser

public class SharedUser extends Object
The Class SharedUser.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SharedUser()`
  Instantiates a new shared user.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `SharedUser`
  `clone()`
  `Date`
  `getDateTime()`
  Gets the date time.
  `String`
  `getGuid()`
  Gets the guid.
  `int`
  `getID()`
  Gets the id.
  `String`
  `getName()`
  Gets the name.
  `void`
  `setDateTime​(Date dateTime)`
  Sets the date time.
  `void`
  `setGuid​(String guid)`
  Sets the guid.
  `void`
  `setID​(int id)`
  Sets the id.
  `void`
  `setName​(String name)`
  Sets the name.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### SharedUser

    public SharedUser()
    Instantiates a new shared user.

- ## Method Details

  - ### clone

    public SharedUser clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getDateTime

    public Date getDateTime()
    Gets the date time.
    Returns:
      the date time

  - ### setDateTime

    public void setDateTime​(Date dateTime)
    Sets the date time.
    Parameters:
      `dateTime` - the new date time

  - ### getGuid

    public String getGuid()
    Gets the guid.
    Returns:
      the guid

  - ### setGuid

    public void setGuid​(String guid)
    Sets the guid.
    Parameters:
      `guid` - the new guid

  - ### getID

    public int getID()
    Gets the id.
    Returns:
      the id

  - ### setID

    public void setID​(int id)
    Sets the id.
    Parameters:
      `id` - the new id

  - ### getName

    public String getName()
    Gets the name.
    Returns:
      the name

  - ### setName

    public void setName​(String name)
    Sets the name.
    Parameters:
      `name` - the new name